> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the persona board

> Returns the visibility of the brand for each persona and AI assistant. Use `kind` to filter the personas and set `include_raw` to also get the results without a persona. Use `date_range` to select the period (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). Use `llm` to limit the data to some AI assistants. The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/personas/board
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/personas/board:
    get:
      tags:
        - Personas
      summary: Get the persona board
      description: >-
        Returns the visibility of the brand for each persona and AI assistant.
        Use `kind` to filter the personas and set `include_raw` to also get the
        results without a persona. Use `date_range` to select the period (`7g`,
        `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). Use `llm`
        to limit the data to some AI assistants. The list is paged with `page`
        and `page_size`.
      operationId: persona_board
      parameters:
        - in: query
          name: date_range
          schema:
            enum:
              - 7g
              - 1a
              - 3a
              - 6a
              - 1y
              - custom
            type: string
            default: 1a
            minLength: 1
          description: |-
            * `7g` - 7g
            * `1a` - 1a
            * `3a` - 3a
            * `6a` - 6a
            * `1y` - 1y
            * `custom` - custom
        - in: query
          name: include_raw
          schema:
            type: boolean
            default: false
        - in: query
          name: kind
          schema:
            type: array
            items:
              enum:
                - demographic
                - need
                - behavioral
                - custom
              type: string
              description: |-
                * `demographic` - demographic
                * `need` - need
                * `behavioral` - behavioral
                * `custom` - custom
        - in: query
          name: llm
          schema:
            type: array
            items:
              enum:
                - chatgpt
                - gemini
                - claude
                - perplexity
                - googleai
                - grok
                - deepseek
              type: string
              description: |-
                * `chatgpt` - chatgpt
                * `gemini` - gemini
                * `claude` - claude
                * `perplexity` - perplexity
                * `googleai` - googleai
                * `grok` - grok
                * `deepseek` - deepseek
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            minimum: 1
            nullable: true
        - in: query
          name: since
          schema:
            type: string
            format: date
          description: The first day of a `custom` range.
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: until
          schema:
            type: string
            format: date
          description: The last day of a `custom` range.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaBoardResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PersonaBoardResponse:
      type: object
      properties:
        cards:
          type: array
          items:
            $ref: '#/components/schemas/PersonaCardDTO'
        matrix:
          type: array
          items:
            $ref: '#/components/schemas/PersonaCardDTO'
        assistants:
          type: array
          items:
            type: string
        total:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
      required:
        - assistants
        - cards
        - matrix
        - page
        - page_size
        - total
        - total_pages
    PersonaCardDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
        system_prompt:
          type: string
          nullable: true
        kind:
          $ref: '#/components/schemas/PersonaKind'
        is_raw:
          type: boolean
        is_target:
          type: boolean
        cells:
          type: array
          items:
            $ref: '#/components/schemas/AssistantVisibilityDTO'
        average_visibility:
          type: number
          format: double
        prompt_count:
          type: integer
      required:
        - average_visibility
        - cells
        - is_raw
        - is_target
        - kind
        - name
        - prompt_count
        - system_prompt
        - uuid
    PersonaKind:
      enum:
        - demographic
        - need
        - behavioral
        - custom
      type: string
      description: |-
        * `demographic` - demographic
        * `need` - need
        * `behavioral` - behavioral
        * `custom` - custom
    AssistantVisibilityDTO:
      type: object
      properties:
        assistant:
          type: string
        visibility:
          type: number
          format: double
      required:
        - assistant
        - visibility
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.